@use "../../../styles/colors";
@use "../../../styles/mixins";
@use "../../../styles/defaults";

.hero {
  margin: 2.4rem 0;
}

.hero-body {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 5.4rem 0;
}

.left {
  flex-basis: 41%;
  padding-left: defaults.$padding-left;
  display: flex;
  flex-direction: column;
  gap: 1.4rem;
  h1 {
    font-size: 2.4rem;
    font-weight: 500;
    line-height: 1.1;
  }
  p {
    color: colors.$neutral-blue;
    font-size: 0.9rem;
    line-height: 1.6;
  }
}

.right {
  flex-basis: 50%;
}

.buttons {
  align-self: stretch;
  display: flex;
  gap: 0.6rem;
  font-weight: 500;
  text-align: center;
  .btn {
    @include mixins.transition-hover-button;
    font-size: 0.7rem;
    text-decoration: none;
    padding: 0.7rem 1.4rem;
    border-radius: 0.3rem;
    transition: background-color 0.3s, color 0.3s, box-shadow 0.3s;
  }
  .btn-chrome {
    background-color: colors.$primary-blue;
    color: colors.$neutral-light;
    &:hover {
      @include mixins.hover-blue-button;
    }
  }
  .btn-firefox {
    background-color: colors.$neutral-light;
    color: colors.$neutral-dark;
    box-shadow: 0 0.25rem 0.2rem #eee;
    &:hover {
      @include mixins.hover-black-button;
    }
  }
}

@media (min-width: 769px) and(max-width: 1050px) {
  .left {
    flex-basis: 55%;
    h1 {
      font-size: 1.8rem;
      line-height: 1.2;
    }
    p {
      font-size: 0.9rem;
      line-height: 1.8;
    }
  }
  .right {
    flex-basis: 75%;
  }
}

@media (max-width: defaults.$mobile-width) {
  .hero {
    margin-bottom: 8rem;
  }
  .hero-body {
    margin-top: 3.6rem;
    padding: 0;
    flex-direction: column-reverse;
    gap: 3.2rem;
  }
  .right {
    flex-basis: 100%;
  }
  .left {
    flex-basis: 100%;
    padding-left: 0;
    gap: 1rem;
    text-align: center;
    h1 {
      font-size: 1.8rem;
      line-height: 1.3;
    }
    p {
      font-size: 0.9rem;
      line-height: 1.6;
      margin-bottom: 0.6rem;
      width: 85%;
      margin-inline: auto;
    }
  }
  .buttons {
    justify-content: center;
  }
}
